aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorcnd <cynede@gentoo.org>2018-07-06 12:42:46 +0400
committerGitHub <noreply@github.com>2018-07-06 12:42:46 +0400
commit473e307f7758b6b47873e4acddac583bd95412b4 (patch)
tree39205f8dfe757305716f13f9b8f140a70d52139d
parentMerge pull request #396 from lucianposton/vscode-1.25.0 (diff)
parentapp-editors/visual-studio-code: Fix missing perms (diff)
downloaddotnet-473e307f7758b6b47873e4acddac583bd95412b4.tar.gz
dotnet-473e307f7758b6b47873e4acddac583bd95412b4.tar.bz2
dotnet-473e307f7758b6b47873e4acddac583bd95412b4.zip
Merge pull request #397 from lucianposton/vscode-fix-permsHEADmaster
app-editors/visual-studio-code: Fix missing perms
-rw-r--r--app-editors/visual-studio-code/visual-studio-code-1.25.0-r1.ebuild (renamed from app-editors/visual-studio-code/visual-studio-code-1.25.0.ebuild)8
1 files changed, 3 insertions, 5 deletions
diff --git a/app-editors/visual-studio-code/visual-studio-code-1.25.0.ebuild b/app-editors/visual-studio-code/visual-studio-code-1.25.0-r1.ebuild
index f2e334f..cbe723f 100644
--- a/app-editors/visual-studio-code/visual-studio-code-1.25.0.ebuild
+++ b/app-editors/visual-studio-code/visual-studio-code-1.25.0-r1.ebuild
@@ -44,14 +44,12 @@ pkg_setup() {
}
src_install() {
- insinto "/opt/${PN}"
- doins -r *
+ dodir "/opt"
+ # Using doins -r would strip executable bits from all binaries
+ cp -pPR "${S}" "${D}/opt/${PN}" || die "Failed to copy files"
dosym "${EPREFIX}/opt/${PN}/bin/code" "/usr/bin/code"
make_desktop_entry "code" "Visual Studio Code" "${PN}" "Development;IDE"
doicon "${S}/resources/app/resources/linux/code.png"
- fperms +x "/opt/${PN}/code"
- fperms +x "/opt/${PN}/bin/code"
- fperms +x "/opt/${PN}/libnode.so"
insinto "/usr/share/licenses/${PN}"
newins "resources/app/LICENSE.txt" "LICENSE"
}